%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	HTML_Progress2
Summary:	%{_pearname} - include a loading bar in your XHTML documents quickly and easily
Summary(pl.UTF-8):	%{_pearname} - dołączanie paska postępu w dokumentach XHTML w szybki i prosty sposób
Name:		php-pear-%{_pearname}
Version:	2.4.2
Release:	2
License:	PHP License 3.01
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	da422b743c9cdbf38e1d55cd3d64e18f
URL:		http://pear.php.net/package/HTML_Progress2/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-Event_Dispatcher >= 0.9.1
Requires:	php-pear-HTML_CSS >= 1.1.2
Requires:	php-pear-HTML_Common >= 1.2.1
Requires:	php-pear-PEAR-core >= 1:1.4.3
Requires:	php-pear-PHP_Compat >= 1.4.1
Suggests:	php-gd
Suggests:	php-pear-HTML_AJAX
Suggests:	php-pear-HTML_Page2
Suggests:	php-pear-HTML_QuickForm
Suggests:	php-pear-HTML_QuickForm_Controller
Suggests:	php-pear-HTML_QuickForm_Renderer_Tableless
Suggests:	php-pear-HTML_Template_IT
Suggests:	php-pear-HTML_Template_Sigma
Suggests:	php-pear-Image_Color
Suggests:	php-pear-Log
Suggests:	php-pear-PHP_Compat
Obsoletes:	php-pear-HTML_Progress2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(PEAR.*)' 'pear(HTML/QuickForm.*)' 'pear(HTML/QuickForm/Controller.*)' 'pear(Image/Color.*)' 'pear(HTML/Page2.*)' 'pear(HTML/Template/IT.*)' 'pear(HTML/Template/Sigma.*)' 'pear(Log.*)' 'pear(gd.*)' 'pear(Smarty.*)' 'pear(PHP/Compat.*)' 'pear(HTML/QuickForm/Renderer/Tableless.*)' pear(HTML/AJAX.*)

%description
This package provides a way to add a loading bar fully customizable in
existing XHTML documents. Your browser should accept DHTML feature.

Features:
- create horizontal, vertival bar and also circle, ellipse and
  polygons (square, rectangle).
- allows usage of existing external StyleSheet and/or JavaScript.
- all elements (progress, cells, labels) are customizable by their
  HTML properties.
- percent/labels are floating all around the progress meter.
- compliant with all CSS/XHMTL standards.
- integration with all template engines is very easy.
- implements Observer design pattern. It is possible to add Listeners.
- adds a customizable monitor pattern to display a progress bar.
  User-end can abort progress at any time.
- allows many progress meter on same page without uses of iframe
  solution.
- error handling system that support native PEAR_Error, but also
  PEAR_ErrorStack, and any other system you might want to plug-in.
- PHP 5 ready.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet dostarcza sposób na dodanie w istniejących dokumentach
XHTML w pełni konfigurowalnego paska postępu. Przeglądarka musi
obsługiwać DHTML.

Możliwości:
- tworzenie poziomego lub pionowego paska, a także okręgu, elipsy i
  wielokątów (kwadratu, prostokąta)
- umożliwia zastosowanie istniejących zewnętrznych arkuszy styli i/lub
  JavaScriptu
- wszystkie elementy (postęp, komórki, etykiety) są konfigurowalne
  poprzez ich właściwości HTML
- procenty/etykiety są umieszczone naokoło miernika postępu
- jest zgodny ze wszystkimi standardami CSS/XHTML
- bardzo łatwa integracja ze wszystkimi silnikami szablonów
- implementuje wzorzec projektowy Observer; można dodać Listeners
- dodaje konfigurowalny wzorzec monitora do wyświetlania paska
  postępu; użytkownik końcowy może przerwać postęp w dowolnej chwili
- pozwala na istnienie wielu mierników postępu na tej samej stronie
  bez użycia iframe
 - system obsługi błędów obsługujący natywny PEAR_Error, ale także
   PEAR_ErrorStack, a także dowolny inny system, który chcemy podłączyć
- gotowy na PHP 5.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt docs
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/data/HTML_Progress2/
%{php_pear_dir}/HTML/Progress2
%{php_pear_dir}/HTML/Progress2.php
%{php_pear_dir}/HTML/Progress2_Lite.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 26789fe
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> dae4cce
- updated to: 2.4.2
- release: 1

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> fa8f10b
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 9760f9f
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 1c3e21a
- updated deps with pearize.sh
- release 2

* Mon Jul 28 2008 Adam Gołębiowski <adamg@pld-linux.org> 64a7628
- updated to 2.4.1

* Fri May 02 2008 Adam Gołębiowski <adamg@pld-linux.org> 3da7947
- updated to 2.4.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 562fdeb
- rel 2

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> bf62cf4
- updated to 2.3.0

* Fri Mar 16 2007 Elan Ruusamäe <glen@pld-linux.org> 4d89505
- 2.2.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 782940d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3b93ae6
- converted to UTF-8

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> ded4f3a
- updated to 2.1.1

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> 7497c25
- updated to 2.1.0

* Fri May 26 2006 ankry <ankry@pld-linux.org> 575f160
- standarized

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 6c5b9e9
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 6d32818
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> e8625fd
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 9970639
- group Development/Languages/PHP for -tests

* Thu Nov 03 2005 Jakub Bogusz <qboosh@pld-linux.org> 92c1132
- pl
- define Epoch to 0 explicitly when using it

